function [Xout, Yout, Zout] = backgroundf(case_number)
if case_number==1
X=615;
    Q=X/2.355;
X=-12500:12500;
Y=X./800;
Y1=100*exp(-(X.^2)/(2*Q^2));
Y2=[];
for i=1:25001
Y2(i)=sum(Y1(1:i))/1000;
end


plot(Y,Y1);



xSize=1300; ySize=550;
set(gcf,'Position',[10 10 xSize ySize]);

xwidth = 0.3;         
ywidth = 0.6;


c_eval('set(gca, ''position'', [0.10 0.25 xwidth ywidth]);', 1);
set(gca,'XLim',[-2 2],'fontsize',16);
set(gca,'XTick',[-2:1:2],'fontsize',16);
set(gca,'XTickLabel',[-10:5:10],'fontsize',16);
set(gca,'YLim',[0 200],'fontsize',16);
set(gca,'YTick',[0:50:200],'fontsize',16);
set(gca,'YTickLabel',[0:50:200],'fontsize',16);
xlabel('x/\rho_e','fontsize',16)
ylabel('E(mV/m)','fontsize',16)
legend('E')

%text(-0.0/0.8-0.04,100,'o','color','r','fontsize',12)
%text(-2.5/0.8-0.04,100,'o','color','r','fontsize',12)
%text(-5/0.8-0.04,100,'o','color','r','fontsize',12)
text(-1.165/0.8,100,'o','color','r','fontsize',12)
text(-0.91/0.8,100,'o','color','r','fontsize',12)
text(-0.655/0.8,100,'o','color','r','fontsize',12)
text(-0.40/0.8,100,'o','color','r','fontsize',12)
text(-1.012/0.8,70,'o','color','g','fontsize',12)
text(-0.859/0.8,70,'o','color','g','fontsize',12)
text(-0.706/0.8,70,'o','color','g','fontsize',12)
text(-0.553/0.8,70,'o','color','g','fontsize',12)
text(-0.859/0.8,40,'o','color','k','fontsize',12)
text(-0.808/0.8,40,'o','color','k','fontsize',12)
text(-0.757/0.8,40,'o','color','k','fontsize',12)
text(-0.706/0.8,40,'o','color','k','fontsize',12)

else
    X=600;
    Q=X/2.355;
X=-2500:2500;
Y=X./800;
Y1=0*exp(-(X.^2)/(2*Q^2));
Y2=46*exp(-(X.^2)/(2*Q^2));
Y3=125*exp(-(X.^2)/(2*Q^2));
Y4=91*exp(-(X.^2)/(2*Q^2));
Y5=63*exp(-(X.^2)/(2*Q^2));


plot(Y,Y1,'LineWidth',1.5);
hold on
plot(Y,Y2);
hold on
plot(Y,Y3);
hold on
plot(Y,Y4);
hold on
plot(Y,Y5);

xSize=1300; ySize=550;
set(gcf,'Position',[10 10 xSize ySize]);

xwidth = 0.3;         
ywidth = 0.6;


c_eval('set(gca, ''position'', [0.10 0.25 xwidth ywidth]);', 1);
set(gca,'XLim',[-2 2],'fontsize',16);
set(gca,'XTick',[-2:0.5:2],'fontsize',16);
set(gca,'XTickLabel',[-2:0.5:2],'fontsize',16);
set(gca,'YLim',[0 200],'fontsize',16);
set(gca,'YTick',[0:50:200],'fontsize',16);
set(gca,'YTickLabel',[0:50:200],'fontsize',16);
xlabel('x/\rho_e','fontsize',16)
ylabel('E(mV/m)','fontsize',16)
hleg1=legend('E(t = 0ms)','E(t = 7.5ms)','E(t = 15ms)','E(t = 22.5ms)','E(t = 30ms)');
set(hleg1,'FontSize',10)
%irf_legend(gca,'(b1)',[-0.16 1.03],'fontsize',18,'color','k')
text(-0.4/0.8,100,'o','color','r','fontsize',12)
text(-0.31/0.8,100,'o','color','r','fontsize',12)
text(-0.22/0.8,100,'o','color','r','fontsize',12)
text(-0.13/0.8,100,'o','color','r','fontsize',12)
text(-0.319/0.8,70,'o','color','g','fontsize',12)
text(-0.292/0.8,70,'o','color','g','fontsize',12)
text(-0.238/0.8,70,'o','color','g','fontsize',12)
text(-0.211/0.8,70,'o','color','g','fontsize',12)
text(-0.292/0.8,40,'o','color','k','fontsize',12)
text(-0.274/0.8,40,'o','color','k','fontsize',12)
text(-0.256/0.8,40,'o','color','k','fontsize',12)
text(-0.238/0.8,40,'o','color','k','fontsize',12)
end
end